//----------------------------------------------
// MainFrm.h : interface of the CMainFrame class
// handles menues and initial windowsize
// b.stenseth 2000
//----------------------------------------------

#if !defined(AFX_MAINFRM_H__33740F8A_A0B3_11D2_B1E4_0060082D402F__INCLUDED_)
#define AFX_MAINFRM_H__33740F8A_A0B3_11D2_B1E4_0060082D402F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

	// display of test image
	int m_figtype;
	BOOL m_smooth;
	int m_bcolor;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnMenu1Box();
	afx_msg void OnUpdateMenu1Box(CCmdUI* pCmdUI);
	afx_msg void OnMenu1Flat();
	afx_msg void OnUpdateMenu1Flat(CCmdUI* pCmdUI);
	afx_msg void OnMenu1Smooth();
	afx_msg void OnUpdateMenu1Smooth(CCmdUI* pCmdUI);
	afx_msg void OnMenu1Sphere();
	afx_msg void OnUpdateMenu1Sphere(CCmdUI* pCmdUI);
	afx_msg void OnMenu1Surf();
	afx_msg void OnUpdateMenu1Surf(CCmdUI* pCmdUI);
	afx_msg void OnMenu1BBlack();
	afx_msg void OnMenu1BGray();
	afx_msg void OnMenu1BWhite();
	afx_msg void OnUpdateMenu1BBlack(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMenu1BGray(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMenu1BWhite(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__33740F8A_A0B3_11D2_B1E4_0060082D402F__INCLUDED_)
